Name:          awn-extras-applets
Version:       0.4.0
Release:       %mkrel 2
Summary:       Applets and anything else related to the Avant Window Navigator (Awn) dock
License:       BSD and CCASAv3.0 and GPLv2 and LGPLv2.1
Group:         System/X11
URL:           https://launchpad.net/awn-extras/
Source0:       http://launchpad.net/awn-extras/0.4/0.4.0/+download/awn-extras-0.4.0.tar.gz
# https://bugs.launchpad.net/awn-extras/+bug/738166
Patch0:        libnotify-0.7.patch
Patch1:	       %{name}-%{version}-mga-fix-inclusion-of-glib-headers.patch

BuildRequires: autoconf
BuildRequires: automake
BuildRequires: cairo-devel
BuildRequires: dbus-devel
BuildRequires: dbus-glib-devel
BuildRequires: fontconfig-devel
BuildRequires: glibc-devel
BuildRequires: gnome-common
BuildRequires: gnome-python-devel
BuildRequires: gnome-python-extras
BuildRequires: gnome-python-gtkmozembed
BuildRequires: gstreamer0.10-python-devel
BuildRequires: gtk+2-devel
BuildRequires: intltool
BuildRequires: libart_lgpl-devel
BuildRequires: libatk-devel
BuildRequires: libavant-window-navigator-devel = %{version}
BuildRequires: pkgconfig(libbonobo-2.0)
BuildRequires: libbonoboui2-devel
BuildRequires: libdesktop-agnostic-devel
BuildRequires: pkgconfig(libffi)
BuildRequires: pkgconfig(freetype2)
BuildRequires: libGConf2-devel
BuildRequires: pkgconfig(libglade-2.0)
BuildRequires: libglib2.0-devel
BuildRequires: libgnome-keyring-devel
BuildRequires: libgnomecanvas2-devel
BuildRequires: libgnomeui2-devel
BuildRequires: libgnome-vfs2-devel
BuildRequires: libgnome2-devel
BuildRequires: libgnome-desktop-2-devel
BuildRequires: libgnome-menu-devel
BuildRequires: libgtop2.0-devel
BuildRequires: pkgconfig(ice)
BuildRequires: libnotify-devel
BuildRequires: libpopt-devel
BuildRequires: python-devel
BuildRequires: librsvg2-devel
BuildRequires: libsexy-devel
BuildRequires: pkgconfig(sm)
BuildRequires: libstartup-notification-1-devel
BuildRequires: libtool
BuildRequires: libvte-devel
BuildRequires: pkgconfig(webkit-1.0)
BuildRequires: libwnck-devel
BuildRequires: libx11-devel
BuildRequires: libxcomposite-devel
BuildRequires: libxfixes-devel
BuildRequires: libxft-devel
BuildRequires: libxml2-devel
BuildRequires: libxrender-devel
BuildRequires: libxres-devel
BuildRequires: pango-devel
BuildRequires: perl(XML::Parser)
BuildRequires: python-alsaaudio
BuildRequires: python-cairo
BuildRequires: pygtk2.0-devel
BuildRequires: python-feedparser
BuildRequires: python-qt4 
BuildRequires: vala
BuildRequires: gettext
BuildRequires: m4
BuildRequires: gettext-devel
#BuildRequires: pkgconfig(libgnome-menu)
Requires:      acpi
Requires:      alacarte
Requires:      avant-window-navigator = %{version}
Requires:      fortune-mod
Requires:      gnome-menus
Requires:      gnome-python
Requires:      gnome-python-desktop
Requires:      gnome-python-extras
Requires:      gnome-python-gconf
Requires:      gnome-python-gtkmozembed
Requires:      gnome-python-gtop
# TODO Requires:      gnome-python-libwnck
# TODO Requires:      gnome-python-rsvg
Requires:      gstreamer0.10-python
Requires:      pygtk2.0
Requires:      python-alsaaudio
Requires:      python-cairo
Requires:      python-dateutil
Requires:      python-alsaaudio
Requires:      python-dbus
Requires:      python-feedparser
Requires:      python-gdata
Requires:      python-gtkglext
Requires:      python-pyinotify
Requires:      python-pyxdg
Requires:      python-vobject
Requires:      python-xklavier

Requires:      vte

%description
Applets and anything else related to the Avant Window Navigator (Awn) dock.

This is a sub-project of Awn, which concentrates on efforts around Awn,
including applets for Awn.


%prep
%setup -q -n awn-extras-%{version}
%patch0 -p1
%patch1 -p0

%build
libtoolize --force
intltoolize -f
autoreconf -v --install 
%configure2_5x \
   --disable-static \
   --disable-pymod-checks \
   --with-webkit \
   --disable-shave \
   --without-gnome \
   --without-mozilla \
   PYTHON=%{__python}
%make

%install
GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 %makeinstall_std
find %{buildroot} -name '*.la' | xargs rm

chmod +x %{buildroot}%{_datadir}/avant-window-navigator/applets/comics/comics.sh

for lib in %{buildroot}%{_datadir}/avant-window-navigator/applets/*/*.py; do
 sed '/\/usr\/bin\/python/d' $lib > $lib.new &&
  touch -r $lib $lib.new &&
 mv $lib.new $lib
done
for lib in %{buildroot}%{_datadir}/avant-window-navigator/applets/*/*/*.py; do
 sed '/\/usr\/bin\/python/d' $lib > $lib.new &&
 touch -r $lib $lib.new &&
 mv $lib.new $lib
done
for lib in %{buildroot}%{_datadir}/avant-window-navigator/applets/*/*.py; do
  sed '/\/usr\/bin\/env/d' $lib > $lib.new &&
 touch -r $lib $lib.new &&
 mv $lib.new $lib
done
for lib in %{buildroot}%{_datadir}/avant-window-navigator/applets/*/*/*.py; do
 sed '/\/usr\/bin\/env/d' $lib > $lib.new &&
 touch -r $lib $lib.new &&
 mv $lib.new $lib
done

rm -rf %{buildroot}%{_datadir}/avant-window-navigator/applets/python-test
rm -rf %{buildroot}%{_libdir}/awn/applets/vala-test
rm -f %{buildroot}%{_datadir}/avant-window-navigator/applets/python-test.desktop
rm -f %{buildroot}%{_datadir}/avant-window-navigator/applets/vala-test.desktop

# remove the pandora applet https://bugs.launchpad.net/awn-extras/+bug/362709
rm -rf %{buildroot}%{_datadir}/avant-window-navigator/applets/pandora
rm -f %{buildroot}%{_datadir}/avant-window-navigator/schemas/awn-applet-pandora.schema-ini
rm -f %{buildroot}%{_datadir}/avant-window-navigator/applets/webapplet/icons/pandora-48.png
rm -f %{buildroot}%{_sysconfdir}/gconf/schemas/awn-applet-pandora.schemas
rm -f %{buildroot}%{_datadir}/avant-window-navigator/applets/pandora.desktop

%find_lang awn-extras

%files -f awn-extras.lang
%config(noreplace) %{_sysconfdir}/gconf/schemas/*.schemas
%{_libdir}/awn/applets/*/*
%dir /usr/lib/python*/site-packages/awn/extras
/usr/lib/python*/site-packages/awn/extras
%{_datadir}/avant-window-navigator/applets/*
%{_datadir}/avant-window-navigator/schemas/*
%{_datadir}/icons/hicolor/*/apps/*
%doc NEWS INSTALL COPYING.* COPYING ChangeLog README AUTHORS


%changelog

* Sun Jan 15 2012 kamil <kamil> 0.4.0-2.mga2
+ Revision: 196321
- fix license
- fix file list
- add mga-fix-inclusion-of-glib-headers.patch
- remove libgnome-menu as BR
- add --without-mozilla to configure (gtkmozembed is being retired)
- add --without-gnome to configure (problem with gnome-menus)
- add pkgconfig(libgnome-menu) to BR
- add gettext-devel to BR
- add m4 to BR
- add gettext to BR
- fix libsm6-devel as BR
- fix BR
- clean file
- remove doubled %%changelog tak from .spec (mga#3356)

  + gil <gil>
    - adit group
    - imported package awn-extras-applets

